ChangeSet 1.1455.2.8, 2003/07/14 16:08:00-07:00, greg@kroah.com

[PATCH] USB: fixed up pci slot_name accesses in usb gadget code


 drivers/usb/gadget/net2280.c |    6 +++---
 drivers/usb/gadget/net2280.h |    2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)


diff -Nru a/drivers/usb/gadget/net2280.c b/drivers/usb/gadget/net2280.c
--- a/drivers/usb/gadget/net2280.c	Thu Jul 17 17:05:30 2003
+++ b/drivers/usb/gadget/net2280.c	Thu Jul 17 17:05:30 2003
@@ -2496,7 +2496,7 @@
 	device_remove_file (&pdev->dev, &dev_attr_registers);
 	pci_set_drvdata (pdev, 0);
 
-	INFO (dev, "unbind from pci %s\n", pdev->slot_name);
+	INFO (dev, "unbind from pci %s\n", pci_name(pdev));
 
 	kfree (dev);
 	the_controller = 0;
@@ -2518,7 +2518,7 @@
 	 * usb_gadget_driver_{register,unregister}() must change.
 	 */
 	if (the_controller) {
-		WARN (the_controller, "ignoring %s\n", pdev->slot_name);
+		WARN (the_controller, "ignoring %s\n", pci_name(pdev));
 		return -EBUSY;
 	}
 
@@ -2534,7 +2534,7 @@
 	dev->pdev = pdev;
 	dev->gadget.ops = &net2280_ops;
 
-	strcpy (dev->gadget.dev.bus_id, pdev->slot_name);
+	strcpy (dev->gadget.dev.bus_id, pci_name(pdev));
 	strcpy (dev->gadget.dev.name, pdev->dev.name);
 	dev->gadget.dev.parent = &pdev->dev;
 	dev->gadget.dev.dma_mask = pdev->dev.dma_mask;
diff -Nru a/drivers/usb/gadget/net2280.h b/drivers/usb/gadget/net2280.h
--- a/drivers/usb/gadget/net2280.h	Thu Jul 17 17:05:30 2003
+++ b/drivers/usb/gadget/net2280.h	Thu Jul 17 17:05:30 2003
@@ -654,7 +654,7 @@
 
 #define xprintk(dev,level,fmt,args...) \
 	printk(level "%s %s: " fmt , driver_name , \
-			dev->pdev->slot_name , ## args)
+			pci_name(dev->pdev) , ## args)
 
 #ifdef DEBUG
 #undef DEBUG
